// ESP_now_set_MAC.ino
// ESP32 @ IDE 1.8.16

#include <WiFi.h>
#include <esp_wifi.h>

uint8_t newMACAddress[] = {0x32, 0x32, 0x32, 0xFF, 0xFF, 0xFF};

void setup()
{ Serial.begin(115200);
  Serial.println();
  WiFi.mode(WIFI_STA);
  Serial.print("Old ESP32 Board MAC Address:  ");  Serial.println(WiFi.macAddress());
  esp_wifi_set_mac(WIFI_IF_STA, &newMACAddress[0]);
  Serial.print("New ESP32 Board MAC Address:  ");  Serial.println(WiFi.macAddress());
}
 
void loop(){}
