// Structure.ino
// ESP32 @ IDE 1.8.16

struct Stadt
{String Name; String KFZ_Kennzeichen; float MioEinwohner;};

Stadt Berlin =   {"Berlin",  "B",   3.643};
Stadt Hamburg =  {"Hamburg", "HH",  1.847};
Stadt Muenchen = {"München", "M",   1.825};
Stadt Leer =     {"Leer",    "LER", 0.034};

void setup()
{ Serial.begin(115200); delay(3000);
  Serial.println("Name \t\tKfz \tEinwohner im Mio.");
  Serial.println("_____________________________________");
}  

void loop()
{ showData(Berlin); showData(Hamburg); showData(Muenchen); showData(Leer);
  Serial.println("=====================================");
  delay(10000);
}

void showData(struct Stadt StadtName)
{ Serial.print(StadtName.Name + "\t\t");
  Serial.print(StadtName.KFZ_Kennzeichen + "\t");
  Serial.println(String(StadtName.MioEinwohner)); 
}
